
* Import dataset from Carlin and Helwig 2019
use "~/Desktop/replication/data/carlin_helwig.dta", clear
cd "~/Desktop/replication/out"

* panel settings
xtset countryid timevar

* lag scandals data
gen lag1_scandal = l.scan08
gen lag2_scandal = l.lag1_scandal
gen lag3_scandal = l.lag2_scandal
gen lag4_scandal = l.lag3_scandal
gen lag5_scandal = l.lag4_scandal
gen lag6_scandal = l.lag5_scandal
gen lag7_scandal = l.lag6_scandal
gen lag8_scandal = l.lag7_scandal

* correct approval data
replace appappdis = 100 if appappdis>100 & appappdis!=.


xtreg appappdis scan08 honeymoon i.timevar, fe robust
outreg2 using approval.doc, replace nocon tex dec(4) keep(scan08 honeymoon)

xtreg appappdis scan08 lag1_scandal honeymoon  i.timevar, fe robust
outreg2 using approval.doc, append nocon tex dec(4) keep(scan08  lag1_scandal honeymoon)

xtreg appappdis scan08 lag1_scandal lag2_scandal honeymoon i.timevar, fe robust
outreg2 using approval.doc, append nocon tex dec(4) keep(scan08 lag1_scandal lag2_scandal honeymoon)

xtreg appappdis scan08 lag1_scandal lag2_scandal lag3_scandal honeymoon i.timevar, fe robust
outreg2 using approval.doc, append nocon tex dec(4) keep(scan08  lag1_scandal lag2_scandal lag3_scandal honeymoon)

xtreg appappdis scan08 lag1_scandal lag2_scandal lag3_scandal lag4_scandal honeymoon i.timevar, fe robust
outreg2 using approval.doc, append nocon tex dec(4) keep(scan08  lag1_scandal lag2_scandal lag3_scandal lag4_scandal honeymoon)

xtreg appappdis scan08 lag1_scandal lag2_scandal lag3_scandal lag4_scandal lag5_scandal honeymoon i.timevar, fe robust
outreg2 using approval.doc, append nocon tex dec(4) keep(scan08 lag1_scandal lag2_scandal lag3_scandal lag4_scandal lag5_scandal honeymoon)



xtreg appappdis scan08 lag1_scandal lag2_scandal lag3_scandal lag4_scandal lag5_scandal lag6_scandal lag7_scandal lag8_scandal honeymoon i.timevar, fe robust
coefplot, keep(scan08 lag1_scandal lag2_scandal lag3_scandal lag4_scandal lag5_scandal lag6_scandal lag7_scandal lag8_scandal) xline(0) levels(90)



